Bug 1767497 - Compute Resource filter does not correctly allow Refresh Cache
Summary: Compute Resource filter does not correctly allow Refresh Cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.8.0
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
: 1767493 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-31 15:04 UTC by Yifat Makias
Modified: 2020-10-27 12:59 UTC (History)
4 users (show)

Fixed In Version: foreman-2.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25936 Normal Closed Compute Resource filter does not correctly allow Refresh Cache 2020-10-28 17:19:52 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 12:59:38 UTC

Description Yifat Makias 2019-10-31 15:04:46 UTC
I am trying to set up new filters and found one I believe doesnt work.   It appears according to:
https://github.com/theforeman/foreman/blob/c236a809e044804f801440174f27b9a5c5c561ca/app/registries/foreman/access_permissions.rb#L76
that the refresh cache is part of the view_compute_resources permission.  When I divide the Compute Resources into two sections; one for unlimited access and one to control a specific compute resource, the option to Refresh Cache on the compute resources goes away for everyone except admins.  

Am I setting this correctly, everything else works as expected:
https://i.imgur.com/3enDPqM.png

How do I get refresh cache to show for non admins, but still prevent everything else in my NON unlimited filter?

Comment 1 Yifat Makias 2019-10-31 15:04:49 UTC
Created from redmine issue https://projects.theforeman.org/issues/25936

Comment 2 Yifat Makias 2019-10-31 15:04:52 UTC
Upstream bug assigned to None

Comment 4 Marek Hulan 2019-11-01 11:00:58 UTC
*** Bug 1767493 has been marked as a duplicate of this bug. ***

Comment 5 Bryan Kearney 2019-11-05 20:41:47 UTC
Upstream bug assigned to ymakias@redhat.com

Comment 6 Bryan Kearney 2019-11-05 20:41:49 UTC
Upstream bug assigned to ymakias@redhat.com

Comment 7 Bryan Kearney 2019-11-06 17:01:00 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25936 has been resolved.

Comment 8 Peter Ondrejka 2020-06-05 08:50:57 UTC
Verified on Satellite 6.8 snap 2, the refresh cache is displayed for users with view_compute_resources permission

Comment 11 errata-xmlrpc 2020-10-27 12:59:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.